#ifndef ASSISTITEM_H
#define ASSISTITEM_H

#include <QObject>

class AssistItem : public QObject
{
    Q_OBJECT
public:
    explicit AssistItem(QObject *parent = 0);

    ~AssistItem();

public:
    AssistItem(const AssistItem & item);
    AssistItem & operator= (const AssistItem & item);

public:
    void clean();

private:
    void copyData(const AssistItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_enumFunction;     // 对应的事件的枚举值

signals:

public slots:
};

#endif // ASSISTITEM_H
